USE [DB]
/* DB ٲټ */
GO

/****** Object:  StoredProcedure [dbo].[SP_INSERT_TB_TEST_IMAGE]    Script Date: 01/24/2013 17:46:32 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

-- =============================================
-- Author:		cong4u.tistory.com
-- Create date: 2013.1.24
-- Description:	insert identity  Ѱֱ
-- exec SP_INSERT_TB_TEST_IMAGE @FileName='1111.jpg', @FileSize=123123, @FileMimeType='image/jpeg', @RtnValue='', @ErrCode=''
-- return RtnValue, ErrCode = 0 ϶ Ͼε 
-- =============================================
CREATE PROCEDURE [dbo].[SP_INSERT_TB_TEST_IMAGE]
	@FileName  varchar(255),
	@FileSize  int,
	@FileMimeType  varchar(100),
	@RtnValue int output,
	@ErrCode varchar(100) output
AS
BEGIN

	SET NOCOUNT ON;

	BEGIN TRAN

		IF @FileName<>'' and @FileSize > 0
			BEGIN
				-- Insert statements for procedure here
				insert into TB_TEST_IMAGE (img_name, img_size, img_mimetype, regdate) values (@FileName, @FileSize, @FileMimeType, GETDATE());
				select @RtnValue = SCOPE_IDENTITY();
			END

		SET @ErrCode = @@ERROR;

	-- Ʈ 
	IF @@ERROR <> 0
		BEGIN
			ROLLBACK TRAN
		END
	ELSE
		BEGIN
			COMMIT TRAN
		END

		RETURN @RtnValue;
		RETURN @ErrCode;
END

GO


